Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetDamping

Gets the line search damping parameter.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetDamping(SNESLineSearch linesearch, PetscReal *damping)

## Input Parameter

- linesearch - the line search context

## Output Parameter

- damping - The damping parameter

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearchGetStepTolerance()`, `SNESQN`

## Level

advanced

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages